<?xml version="1.0" encoding="UTF-8"?>
<testsuites tests="1" failures="0" errors="0" skipped="0">
  <testsuite name="Webdriver Task 3" timestamp="2024-05-08T16:50:29" time="31.444" tests="1" failures="0" errors="0" skipped="0">
    <properties>
      <property name="specId" value="0"/>
      <property name="suiteName" value="Webdriver Task 3"/>
      <property name="capabilities" value="chrome.124_0_6367_119.windows"/>
      <property name="file" value="file:///D:/Git_projects/automatic-testing-with-js/src/tests/webdriverTask3.tests.js"/>
    </properties>
    <testcase classname="chrome.124_0_6367_119.windows.Webdriver_Task_3" name="Webdriver task 3 automate the script" time="31.444">
      <system-out><![CDATA[
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/url - {"url":"https://cloud.google.com/"}
RESULT: {"url":"https://cloud.google.com/"}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element - {"using":"css selector","value":".glue-cookie-notification-bar__accept"}
RESULT: {"using":"css selector","value":".glue-cookie-notification-bar__accept"}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element/f.3C6B212F62F17101F4112F7ED53FD16D.d.B9969F61D1E753E8B34C476102C39841.e.43/click - {}
RESULT: {}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element - {"using":"css selector","value":".ND91id"}
RESULT: {"using":"css selector","value":".ND91id"}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element/f.3C6B212F62F17101F4112F7ED53FD16D.d.B9969F61D1E753E8B34C476102C39841.e.44/click - {}
RESULT: {}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element - {"using":"css selector","value":".mb2a7b"}
RESULT: {"using":"css selector","value":".mb2a7b"}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element/f.3C6B212F62F17101F4112F7ED53FD16D.d.B9969F61D1E753E8B34C476102C39841.e.20/value - {"text":"Google Cloud Platform Pricing Calculator"}
RESULT: {"text":"Google Cloud Platform Pricing Calculator"}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/actions - {"actions":[{"id":"action1","type":"key","parameters":{},"actions":[{"type":"keyDown","value":""},{"type":"pause","duration":10},{"type":"keyUp","value":""}]}]}
RESULT: {"actions":[{"id":"action1","type":"key","parameters":{},"actions":[{"type":"keyDown","value":""},{"type":"pause","duration":10},{"type":"keyUp","value":""}]}]}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element - {"using":"css selector","value":"a[data-ctorig=\"https://cloud.google.com/products/calculator\"]"}
RESULT: {"using":"css selector","value":"a[data-ctorig=\"https://cloud.google.com/products/calculator\"]"}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element/f.3C6B212F62F17101F4112F7ED53FD16D.d.036D24BD5A9C387186D17922183941DE.e.146/click - {}
RESULT: {}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element - {"using":"css selector","value":".xhASFc"}
RESULT: {"using":"css selector","value":".xhASFc"}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element/f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.152/click - {}
RESULT: {}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element - {"using":"xpath","value":"//h2[text()='Compute Engine']/ancestor::div[contains(@class, 'aHij0b-WsjYwc')]"}
RESULT: {"using":"xpath","value":"//h2[text()='Compute Engine']/ancestor::div[contains(@class, 'aHij0b-WsjYwc')]"}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element/f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.185/click - {}
RESULT: {}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element - {"using":"css selector","value":"#c11"}
RESULT: {"using":"css selector","value":"#c11"}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/elements - {"using":"css selector","value":"#c11"}
RESULT: {"using":"css selector","value":"#c11"}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/elements - {"using":"css selector","value":"#c11"}
RESULT: {"using":"css selector","value":"#c11"}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element - {"using":"css selector","value":"#c11"}
RESULT: {"using":"css selector","value":"#c11"}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element/f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.205/clear - {}
RESULT: {}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element/f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.205/value - {"text":"4"}
RESULT: {"text":"4"}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element - {"using":"css selector","value":"#ucc-30"}
RESULT: {"using":"css selector","value":"#ucc-30"}
COMMAND: GET /session/976760e7ecf282b45e81f78a53642350/element/f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.241/rect - {}
RESULT: {}
COMMAND: GET /session/976760e7ecf282b45e81f78a53642350/window/rect - {}
RESULT: {}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/execute/sync - {"script":"return (() => [\n            window.scrollX, window.scrollY\n        ]).apply(null, arguments)","args":[]}
RESULT: {"script":"return (() => [\n            window.scrollX, window.scrollY\n        ]).apply(null, arguments)","args":[]}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/actions - {"actions":[{"id":"action2","type":"wheel","parameters":{},"actions":[{"type":"scroll","x":-764,"y":-24,"deltaX":0,"deltaY":0,"duration":0,"origin":{"element-6066-11e4-a52e-4f735466cecf":"f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.241"}}]}]}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/execute/sync - {"script":"return ((elem, options) => elem.scrollIntoView(options)).apply(null, arguments)","args":[{"element-6066-11e4-a52e-4f735466cecf":"f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.241","ELEMENT":"f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.241"},{"block":"start","inline":"nearest"}]}
RESULT: {"script":"return ((elem, options) => elem.scrollIntoView(options)).apply(null, arguments)","args":[{"element-6066-11e4-a52e-4f735466cecf":"f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.241","ELEMENT":"f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.241"},{"block":"start","inline":"nearest"}]}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element - {"using":"xpath","value":"//span[text()='Machine type']/ancestor::div[contains(@class, 'O1htCb-H9tDt')]"}
RESULT: {"using":"xpath","value":"//span[text()='Machine type']/ancestor::div[contains(@class, 'O1htCb-H9tDt')]"}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element/f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.246/click - {}
RESULT: {}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/actions - {"actions":[{"id":"action3","type":"key","parameters":{},"actions":[{"type":"keyDown","value":"N"},{"type":"pause","duration":10},{"type":"keyUp","value":"N"}]}]}
RESULT: {"actions":[{"id":"action3","type":"key","parameters":{},"actions":[{"type":"keyDown","value":"N"},{"type":"pause","duration":10},{"type":"keyUp","value":"N"}]}]}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/actions - {"actions":[{"id":"action4","type":"key","parameters":{},"actions":[{"type":"keyDown","value":""},{"type":"pause","duration":10},{"type":"keyUp","value":""}]}]}
RESULT: {"actions":[{"id":"action4","type":"key","parameters":{},"actions":[{"type":"keyDown","value":""},{"type":"pause","duration":10},{"type":"keyUp","value":""}]}]}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element - {"using":"xpath","value":"//div[text()='Add GPUs']/ancestor::div[contains(@class, 'MSEcuf')]"}
RESULT: {"using":"xpath","value":"//div[text()='Add GPUs']/ancestor::div[contains(@class, 'MSEcuf')]"}
COMMAND: GET /session/976760e7ecf282b45e81f78a53642350/element/f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.250/rect - {}
RESULT: {}
COMMAND: GET /session/976760e7ecf282b45e81f78a53642350/window/rect - {}
RESULT: {}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/execute/sync - {"script":"return (() => [\n            window.scrollX, window.scrollY\n        ]).apply(null, arguments)","args":[]}
RESULT: {"script":"return (() => [\n            window.scrollX, window.scrollY\n        ]).apply(null, arguments)","args":[]}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/actions - {"actions":[{"id":"action5","type":"wheel","parameters":{},"actions":[{"type":"scroll","x":-93,"y":997,"deltaX":0,"deltaY":0,"duration":0,"origin":{"element-6066-11e4-a52e-4f735466cecf":"f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.250"}}]}]}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/execute/sync - {"script":"return ((elem, options) => elem.scrollIntoView(options)).apply(null, arguments)","args":[{"element-6066-11e4-a52e-4f735466cecf":"f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.250","ELEMENT":"f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.250"},{"block":"center","inline":"center"}]}
RESULT: {"script":"return ((elem, options) => elem.scrollIntoView(options)).apply(null, arguments)","args":[{"element-6066-11e4-a52e-4f735466cecf":"f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.250","ELEMENT":"f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.250"},{"block":"center","inline":"center"}]}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element - {"using":"xpath","value":"//button[@aria-label='Add GPUs']"}
RESULT: {"using":"xpath","value":"//button[@aria-label='Add GPUs']"}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element/f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.251/click - {}
RESULT: {}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element - {"using":"xpath","value":"//span[text()='GPU Model']/ancestor::div[contains(@class, 'YgByBe')]"}
RESULT: {"using":"xpath","value":"//span[text()='GPU Model']/ancestor::div[contains(@class, 'YgByBe')]"}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element/f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.282/click - {}
RESULT: {}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element - {"using":"xpath","value":"//span[text()='GPU Model']/ancestor::div[contains(@class, 'YgByBe')]"}
RESULT: {"using":"xpath","value":"//span[text()='GPU Model']/ancestor::div[contains(@class, 'YgByBe')]"}
COMMAND: GET /session/976760e7ecf282b45e81f78a53642350/element/f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.282/rect - {}
RESULT: {}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/actions - {"actions":[{"id":"action6","type":"pointer","parameters":{"pointerType":"mouse"},"actions":[{"type":"pointerMove","button":0,"width":0,"height":0,"pressure":0,"tangentialPressure":0,"tiltX":0,"tiltY":0,"twist":0,"altitudeAngle":0,"_":"5 more keys: [\"azimuthAngle\",\"x\",\"y\",\"duration\",\"origin\"]"},{"type":"pointerDown","button":0,"width":0,"height":0,"pressure":0,"tangentialPressure":0,"tiltX":0,"tiltY":0,"twist":0,"altitudeAngle":0,"_":"1 more keys: [\"azimuthAngle\"]"},{"type":"pointerUp","button":0}]}]}
RESULT: {"actions":[{"id":"action6","type":"pointer","parameters":{"pointerType":"mouse"},"actions":[{"type":"pointerMove","button":0,"width":0,"height":0,"pressure":0,"tangentialPressure":0,"tiltX":0,"tiltY":0,"twist":0,"altitudeAngle":0,"_":"5 more keys: [\"azimuthAngle\",\"x\",\"y\",\"duration\",\"origin\"]"},{"type":"pointerDown","button":0,"width":0,"height":0,"pressure":0,"tangentialPressure":0,"tiltX":0,"tiltY":0,"twist":0,"altitudeAngle":0,"_":"1 more keys: [\"azimuthAngle\"]"},{"type":"pointerUp","button":0}]}]}
COMMAND: DELETE /session/976760e7ecf282b45e81f78a53642350/actions - {}
RESULT: {}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element - {"using":"xpath","value":"//span[text()='Local SSD']/ancestor::div[contains(@class, 'YgByBe')]"}
RESULT: {"using":"xpath","value":"//span[text()='Local SSD']/ancestor::div[contains(@class, 'YgByBe')]"}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element/f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.283/click - {}
RESULT: {}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element - {"using":"xpath","value":"//span[text()='Local SSD']/ancestor::div[contains(@class, 'YgByBe')]"}
RESULT: {"using":"xpath","value":"//span[text()='Local SSD']/ancestor::div[contains(@class, 'YgByBe')]"}
COMMAND: GET /session/976760e7ecf282b45e81f78a53642350/element/f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.283/rect - {}
RESULT: {}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/actions - {"actions":[{"id":"action7","type":"pointer","parameters":{"pointerType":"mouse"},"actions":[{"type":"pointerMove","button":0,"width":0,"height":0,"pressure":0,"tangentialPressure":0,"tiltX":0,"tiltY":0,"twist":0,"altitudeAngle":0,"_":"5 more keys: [\"azimuthAngle\",\"x\",\"y\",\"duration\",\"origin\"]"},{"type":"pointerDown","button":0,"width":0,"height":0,"pressure":0,"tangentialPressure":0,"tiltX":0,"tiltY":0,"twist":0,"altitudeAngle":0,"_":"1 more keys: [\"azimuthAngle\"]"},{"type":"pointerUp","button":0}]}]}
RESULT: {"actions":[{"id":"action7","type":"pointer","parameters":{"pointerType":"mouse"},"actions":[{"type":"pointerMove","button":0,"width":0,"height":0,"pressure":0,"tangentialPressure":0,"tiltX":0,"tiltY":0,"twist":0,"altitudeAngle":0,"_":"5 more keys: [\"azimuthAngle\",\"x\",\"y\",\"duration\",\"origin\"]"},{"type":"pointerDown","button":0,"width":0,"height":0,"pressure":0,"tangentialPressure":0,"tiltX":0,"tiltY":0,"twist":0,"altitudeAngle":0,"_":"1 more keys: [\"azimuthAngle\"]"},{"type":"pointerUp","button":0}]}]}
COMMAND: DELETE /session/976760e7ecf282b45e81f78a53642350/actions - {}
RESULT: {}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element - {"using":"xpath","value":"//div[text()='Committed use discount options']/ancestor::div[contains(@class, 'MSEcuf')] "}
RESULT: {"using":"xpath","value":"//div[text()='Committed use discount options']/ancestor::div[contains(@class, 'MSEcuf')] "}
COMMAND: GET /session/976760e7ecf282b45e81f78a53642350/element/f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.278/rect - {}
RESULT: {}
COMMAND: GET /session/976760e7ecf282b45e81f78a53642350/window/rect - {}
RESULT: {}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/execute/sync - {"script":"return (() => [\n            window.scrollX, window.scrollY\n        ]).apply(null, arguments)","args":[]}
RESULT: {"script":"return (() => [\n            window.scrollX, window.scrollY\n        ]).apply(null, arguments)","args":[]}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/actions - {"actions":[{"id":"action8","type":"wheel","parameters":{},"actions":[{"type":"scroll","x":-93,"y":1586,"deltaX":0,"deltaY":0,"duration":0,"origin":{"element-6066-11e4-a52e-4f735466cecf":"f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.278"}}]}]}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/execute/sync - {"script":"return ((elem, options) => elem.scrollIntoView(options)).apply(null, arguments)","args":[{"element-6066-11e4-a52e-4f735466cecf":"f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.278","ELEMENT":"f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.278"},{"block":"center","inline":"center"}]}
RESULT: {"script":"return ((elem, options) => elem.scrollIntoView(options)).apply(null, arguments)","args":[{"element-6066-11e4-a52e-4f735466cecf":"f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.278","ELEMENT":"f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.278"},{"block":"center","inline":"center"}]}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element - {"using":"xpath","value":"//input[@id='1-year']/ancestor::div[contains(@class, 'c0GfYc')]"}
RESULT: {"using":"xpath","value":"//input[@id='1-year']/ancestor::div[contains(@class, 'c0GfYc')]"}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element/f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.287/click - {}
RESULT: {}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element - {"using":"xpath","value":"//h2[text()='Cost details']/ancestor::div[contains(@class, 'C7J75c')]"}
RESULT: {"using":"xpath","value":"//h2[text()='Cost details']/ancestor::div[contains(@class, 'C7J75c')]"}
COMMAND: GET /session/976760e7ecf282b45e81f78a53642350/element/f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.290/rect - {}
RESULT: {}
COMMAND: GET /session/976760e7ecf282b45e81f78a53642350/window/rect - {}
RESULT: {}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/execute/sync - {"script":"return (() => [\n            window.scrollX, window.scrollY\n        ]).apply(null, arguments)","args":[]}
RESULT: {"script":"return (() => [\n            window.scrollX, window.scrollY\n        ]).apply(null, arguments)","args":[]}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/actions - {"actions":[{"id":"action9","type":"wheel","parameters":{},"actions":[{"type":"scroll","x":-283,"y":1364,"deltaX":0,"deltaY":0,"duration":0,"origin":{"element-6066-11e4-a52e-4f735466cecf":"f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.290"}}]}]}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/execute/sync - {"script":"return ((elem, options) => elem.scrollIntoView(options)).apply(null, arguments)","args":[{"element-6066-11e4-a52e-4f735466cecf":"f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.290","ELEMENT":"f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.290"},{"block":"center","inline":"center"}]}
RESULT: {"script":"return ((elem, options) => elem.scrollIntoView(options)).apply(null, arguments)","args":[{"element-6066-11e4-a52e-4f735466cecf":"f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.290","ELEMENT":"f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.290"},{"block":"center","inline":"center"}]}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element - {"using":"css selector","value":"label[class='gt0C8e MyvX5d D0aEmf']"}
RESULT: {"using":"css selector","value":"label[class='gt0C8e MyvX5d D0aEmf']"}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/execute/sync - {"script":"return (function isElementDisplayed(element) {\n    function nodeIsElement(node) {\n        if (!node) {\n            return false;\n        }\n        switch (node.nodeType) {\n            case Node.ELEMEN ... (8289 more bytes)","args":[{"element-6066-11e4-a52e-4f735466cecf":"f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.228","ELEMENT":"f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.228"}]}
RESULT: {"script":"return (function isElementDisplayed(element) {\n    function nodeIsElement(node) {\n        if (!node) {\n            return false;\n        }\n        switch (node.nodeType) {\n            case Node.ELEMEN ... (8289 more bytes)","args":[{"element-6066-11e4-a52e-4f735466cecf":"f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.228","ELEMENT":"f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.228"}]}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element - {"using":"css selector","value":".FOBRw-vQzf8d"}
RESULT: {"using":"css selector","value":".FOBRw-vQzf8d"}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element/f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.292/click - {}
RESULT: {}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element - {"using":"css selector","value":".jl2ntd"}
RESULT: {"using":"css selector","value":".jl2ntd"}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element/f.3C6B212F62F17101F4112F7ED53FD16D.d.442884633F69F676ED770BB22E7CEE86.e.295/click - {}
RESULT: {}
COMMAND: GET /session/976760e7ecf282b45e81f78a53642350/window/handles - {}
RESULT: {}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/window - {"handle":"3C6B212F62F17101F4112F7ED53FD16D"}
RESULT: {"handle":"3C6B212F62F17101F4112F7ED53FD16D"}
COMMAND: GET /session/976760e7ecf282b45e81f78a53642350/url - {}
RESULT: {}
COMMAND: GET /session/976760e7ecf282b45e81f78a53642350/title - {}
RESULT: {}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/execute/sync - {"script":"return (() => window.name).apply(null, arguments)","args":[]}
RESULT: {"script":"return (() => window.name).apply(null, arguments)","args":[]}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/window - {"handle":"69BA5E2C0D87759A55CF7AF940CDE0B2"}
RESULT: {"handle":"69BA5E2C0D87759A55CF7AF940CDE0B2"}
COMMAND: GET /session/976760e7ecf282b45e81f78a53642350/url - {}
RESULT: {}
COMMAND: GET /session/976760e7ecf282b45e81f78a53642350/title - {}
RESULT: {}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element - {"using":"xpath","value":"//span[text()='4']/ancestor::div[contains(@class, 'EQCBxd')]"}
RESULT: {"using":"xpath","value":"//span[text()='4']/ancestor::div[contains(@class, 'EQCBxd')]"}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/elements - {"using":"xpath","value":"//span[text()='4']/ancestor::div[contains(@class, 'EQCBxd')]"}
RESULT: {"using":"xpath","value":"//span[text()='4']/ancestor::div[contains(@class, 'EQCBxd')]"}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element - {"using":"xpath","value":"//span[text()='Free: Debian, CentOS, CoreOS, Ubuntu or BYOL (Bring Your Own License)']/ancestor::div[contains(@class, 'EQCBxd')]"}
RESULT: {"using":"xpath","value":"//span[text()='Free: Debian, CentOS, CoreOS, Ubuntu or BYOL (Bring Your Own License)']/ancestor::div[contains(@class, 'EQCBxd')]"}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/elements - {"using":"xpath","value":"//span[text()='Free: Debian, CentOS, CoreOS, Ubuntu or BYOL (Bring Your Own License)']/ancestor::div[contains(@class, 'EQCBxd')]"}
RESULT: {"using":"xpath","value":"//span[text()='Free: Debian, CentOS, CoreOS, Ubuntu or BYOL (Bring Your Own License)']/ancestor::div[contains(@class, 'EQCBxd')]"}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element - {"using":"xpath","value":"//span[text()='Regular']/ancestor::div[contains(@class, 'EQCBxd')]"}
RESULT: {"using":"xpath","value":"//span[text()='Regular']/ancestor::div[contains(@class, 'EQCBxd')]"}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/elements - {"using":"xpath","value":"//span[text()='Regular']/ancestor::div[contains(@class, 'EQCBxd')]"}
RESULT: {"using":"xpath","value":"//span[text()='Regular']/ancestor::div[contains(@class, 'EQCBxd')]"}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element - {"using":"xpath","value":"//span[text()='n1-standard-8, vCPUs: 8, RAM: 30 GB']/ancestor::div[contains(@class, 'EQCBxd')]"}
RESULT: {"using":"xpath","value":"//span[text()='n1-standard-8, vCPUs: 8, RAM: 30 GB']/ancestor::div[contains(@class, 'EQCBxd')]"}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/elements - {"using":"xpath","value":"//span[text()='n1-standard-8, vCPUs: 8, RAM: 30 GB']/ancestor::div[contains(@class, 'EQCBxd')]"}
RESULT: {"using":"xpath","value":"//span[text()='n1-standard-8, vCPUs: 8, RAM: 30 GB']/ancestor::div[contains(@class, 'EQCBxd')]"}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element - {"using":"xpath","value":"//span[text()='NVIDIA Tesla V100']/ancestor::div[contains(@class, 'EQCBxd')]"}
RESULT: {"using":"xpath","value":"//span[text()='NVIDIA Tesla V100']/ancestor::div[contains(@class, 'EQCBxd')]"}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/elements - {"using":"xpath","value":"//span[text()='NVIDIA Tesla V100']/ancestor::div[contains(@class, 'EQCBxd')]"}
RESULT: {"using":"xpath","value":"//span[text()='NVIDIA Tesla V100']/ancestor::div[contains(@class, 'EQCBxd')]"}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element - {"using":"xpath","value":"//span[text()='1']/ancestor::div[contains(@class, 'EQCBxd')]"}
RESULT: {"using":"xpath","value":"//span[text()='1']/ancestor::div[contains(@class, 'EQCBxd')]"}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/elements - {"using":"xpath","value":"//span[text()='1']/ancestor::div[contains(@class, 'EQCBxd')]"}
RESULT: {"using":"xpath","value":"//span[text()='1']/ancestor::div[contains(@class, 'EQCBxd')]"}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element - {"using":"xpath","value":"//span[text()='2x375 GB']/ancestor::div[contains(@class, 'EQCBxd')]"}
RESULT: {"using":"xpath","value":"//span[text()='2x375 GB']/ancestor::div[contains(@class, 'EQCBxd')]"}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/elements - {"using":"xpath","value":"//span[text()='2x375 GB']/ancestor::div[contains(@class, 'EQCBxd')]"}
RESULT: {"using":"xpath","value":"//span[text()='2x375 GB']/ancestor::div[contains(@class, 'EQCBxd')]"}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/element - {"using":"xpath","value":"//span[text()='1 year']/ancestor::div[contains(@class, 'EQCBxd')]"}
RESULT: {"using":"xpath","value":"//span[text()='1 year']/ancestor::div[contains(@class, 'EQCBxd')]"}
COMMAND: POST /session/976760e7ecf282b45e81f78a53642350/elements - {"using":"xpath","value":"//span[text()='1 year']/ancestor::div[contains(@class, 'EQCBxd')]"}
RESULT: {"using":"xpath","value":"//span[text()='1 year']/ancestor::div[contains(@class, 'EQCBxd')]"}
COMMAND: DELETE /session/976760e7ecf282b45e81f78a53642350 - {}
RESULT: {}
]]></system-out>
    </testcase>
  </testsuite>
</testsuites>